# Journal de bord du Mooc / Mooc's logbook

**25/04/2020**

J'ai installé Git sur mon ordinateur comme indiqué dans le [module 2.7](https://www.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/2419fd0fb6a0484988ca9d65497dcaaf/)
J'ai ensuite réalisé la [configuration de Git](https://www.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/2419fd0fb6a0484988ca9d65497dcaaf/2?activate_block_id=block-v1%3Ainria%2B41016%2Bself-paced%2Btype%40vertical%2Bblock%407508aece244548349424dfd61ee3ba85)

Dans Git CMD, les étapes étaient les suivantes :


1.  Définir un nom d'utilisateur et un email dans Git :

`git config --global user.name "Mary-Lorène Goddard"`

`git config --global user.email "emary-lorene.goddard@uha.fr"`


2.  Identifiants et mot de passe

Après avoir récupéré mon identifiant et mon mdp, ja'i modifié ce dernier dans mes settings de [Gitlab](https://app-learninglab.inria.fr/moocrr/gitlab/a6af2e8e18f2d5a9a9c52f036bbcca79/mooc-rr/)
Je les ai ensuite enregistrer localement dans Git CMD :

`git config --global credential.helper cache`

`git config credential.helper store`


Cela n'a pas fonctionné, j'ai donc utilisé la commande :
`git config --global --unset credential.helper`
qui a fonctionné

3.  Synchronisation des fichiers locaux avec Gitlab

Après avoir copier l'URL de mon environnement Gitlab, j'ai réalisé le clonage dans Git CMD :

` git clone https://app-learninglab.inria.fr/moocrr/gitlab/a6af2e8e18f2d5a9a9c52f036bbcca79/mooc-rr.git`

Un répertoire mooc-rr a été créé sur mon ordinateur C:\Users\mary-\mooc-rr

La commabde pour inspecter ce répertoire :

`cd mooc-rr`

`dir #`

Pour synchroniser avec GitLab, je dois :

*  indiquer les fichiers à suivre `git add nomdufichier.extension`
*  les valider localement `git commit -m "message commit"`
*  avant de pouvoir les transférer  à GitLab `git push`
*  `git status`  indique si les fichiers sont suivis/modifiés/commités/…
*  `git diff`  indique les modifications

rm : si entre-temps il y a eu d'autres modifications, le transfert ne sera pas possible. Pour celà appliquer d'abord la commande `git pull`



**26/04/2020**

Je commence aujourd'hui le journal de bord pour le suivi du mooc [recherche reproductible](https://www.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/)

J'ai écrit tout ce que j'ai fait hier.

RStudio est déjà installé sur mon ordinateur car j'utilise déjà ce logiciel pour réaliser les stat de mes expériences.

Je pourrais avoir besoin de la [documentation RStudio](https://www.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/d6b5dbe8add046e4bde324ed3fc936fa/3?activate_block_id=block-v1%3Ainria%2B41016%2Bself-paced%2Btype%40vertical%2Bblock%401a4f58a1efed437c93a9f5c5f15df428#documentation-rstudio)



Je vais maintenant apprendre à **utiliser Git avec RStudio** en suivant [cette video](https://www.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/d6b5dbe8add046e4bde324ed3fc936fa/4?activate_block_id=block-v1%3Ainria%2B41016%2Bself-paced%2Btype%40vertical%2Bblock%40d132a854b0464ad29085cedaded23136)

1.  Ouvrir RStudio
2.  Créer un nouveau projet sous contrôle de version : File / New Project / Version Control
3.  Cliquer sur Git
4.  Récupérer l'URL du dépôt Gitlab
5.  Indiquez cette URL dans le champ "Repository URL" et cliquer sur "Create Project"
==> RStudio redémarre dans un mode lié à Git comme vu sur [cette image](https://gitlab.inria.fr/learninglab/mooc-rr/mooc-rr-ressources/raw/master/module2/ressources/rstudio_images/rstudio.png)


Je vais maintenant **modifier un fichier** venant de Gitlab dans RStudio :

1.  Ouvrir le fichier Module2/exo1/toy_document_fr.Rmd
2.  Le modifier
2.  Enregistrer en appuyant sur le logo disquette
3.  Aller dans le menu Git pour effectuer le commit  ==> on voit appraitre les modifications
4.  Sélectionner les lignes à commiter puis cliquer sur commit (on peut ajouter un message dans la partie droite)
    ==> Les modifications ont été commitées uniquement sur la machine. Elles n'ont pas été propagées sur Gitlab.
5.  Cliquer sur push pour les propager sur Gitlab
 rm : il peut être nécesaire de cliquer sur Pull au préalable


Je vais maintenant **générer le document** dans RStudio :

1.  J'utilise pour cela Knit
2.  A la 1ière utilisation, un certain nombre de packages sont manquants, on va donc procéder à leur installation
==> on obtient alors un document html
3. Je publie le document généré sur Gitlab. Pour cela :
    *  Je vais dans le menu Git et je clique sur commit
    *  Je sélectionne mon fichier html et je commit
    *  Je push


**Réalisation de l'[exercice 2](https://www.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/8b8b358fa16b47b2ab2b156ebdd1dc05/) du MOOC**

Il s'agit de reproduire un fichier à l'identique.

*  Ce que j'ai appris :
    *  Ecrire des symbole grec comme pi : `\(\pi\)`  mais un simple \pi semble suffire
    *  Introduire un lien hypertexte [linked phrase](url) sans laisser d'espace entre les deux
    *  Ecrire des formules de maths [Introduction à RMarkdown du mooc-rr](https://www.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/2bfe60a86fed4994b5493a220c38eb69/13f6fd96266746a0bd9d717a12f1f835/4?activate_block_id=block-v1%3Ainria%2B41016%2Bself-paced%2Btype%40vertical%2Bblock%4089c7893cb5aa4644b06569c65945d4d9)
           
             Cette expression $\sum_{i=1}^n X_i$ est inlinée.
            Cette expression \(\sum_{i=1}^n X_i\) est inlinée.

            Cette expression est mise en valeur :
            $$\sum_{i=1}^n X_i$$
            Cette expression est mise en valeur :
            \[\sum_{i=1}^n X_i\]

        ==> je remarque que j'ai juste besoin de mettre un $ en début et en fin de la formule
        
   *  Mettre en exposant : `\(n^2\)` 
   *  Introduire le signe inférieur ou égal :\leq cf [Formulaire de formules LaTeX](https://openclassrooms.com/forum/sujet/formulaire-de-formules-latex-84687)
   *  Raccourci pour introduitre un chunck : Ctrl+Alt+I
   *  
    
    
*  Ce que je n'ai pas su faire :
    *  Introduire le tilde dans la formule mathéùatques. Pour cela : `\sim `
    *  
*  



**Sites d'intérêt ôur le langage RMarkdown**

* [Introduction à RMarkdown du mooc-rr](https://www.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/2bfe60a86fed4994b5493a220c38eb69/13f6fd96266746a0bd9d717a12f1f835/4?activate_block_id=block-v1%3Ainria%2B41016%2Bself-paced%2Btype%40vertical%2Bblock%4089c7893cb5aa4644b06569c65945d4d9)
* [Reference guide de RStudio](https://rstudio.com/wp-content/uploads/2015/03/rmarkdown-reference.pdf)
* [Raccourcis clavier](https://statistique-et-logiciel-r.com/huit-raccourcis-clavier-a-utiliser-sous-r-studio/)
* [Le langage RMarkdown](https://www.fun-mooc.fr/c4x/UPSUD/42001S02/asset/RMarkdown.html)

    
    
    
    
    